package com.goafanti.expenseAccount.bo;

public class InputPageListBo {
    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;
    /**
     *  状态 0=草稿，1=审核中，2=完成，3=驳回
     */
    private Integer status;
    /**
     * 审核状态 0审核中  1已审核
     */
    private Integer examineStatus;
    /**
     *  查询人员 0自己 1审核 2查看
      */
    private Integer processStatus;

    /**
     * 合同编号
     */
    private String contractNo;
    /**
     * @param username 报销编号和企业名称用这个字段
     */
    private String username;
    /**
     * 部门编号
     */
    private String depId;
    /**
     * 报销人
     */
    private String aid;
    /**
     * 报销类型
     */
    private String type;

    private String applyDep;
    private String payDep;
    private String checkNo;
    private Integer expenseMain;
    private Integer secondaryType;
    /**
     * 0查看审核  1查看自己
     */
    private Integer roleType;

    private Integer pageNo;
    private Integer pageSize;

    public Integer getRoleType() {
        return roleType;
    }

    public void setRoleType(Integer roleType) {
        this.roleType = roleType;
    }

    public Integer getSecondaryType() {
        return secondaryType;
    }

    public void setSecondaryType(Integer secondaryType) {
        this.secondaryType = secondaryType;
    }

    public Integer getExpenseMain() {
        return expenseMain;
    }

    public void setExpenseMain(Integer expenseMain) {
        this.expenseMain = expenseMain;
    }

    public String getCheckNo() {
        return checkNo;
    }

    public void setCheckNo(String checkNo) {
        this.checkNo = checkNo;
    }

    public String getAid() {
        return aid;
    }

    public void setAid(String aid) {
        this.aid = aid;
    }

    public Integer getExamineStatus() {
        return examineStatus;
    }

    public void setExamineStatus(Integer examineStatus) {
        this.examineStatus = examineStatus;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getDepId() {
        return depId;
    }

    public void setDepId(String depId) {
        this.depId = depId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getApplyDep() {
        return applyDep;
    }

    public void setApplyDep(String applyDep) {
        this.applyDep = applyDep;
    }

    public String getPayDep() {
        return payDep;
    }

    public void setPayDep(String payDep) {
        this.payDep = payDep;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getProcessStatus() {
        return processStatus;
    }

    public void setProcessStatus(Integer processStatus) {
        this.processStatus = processStatus;
    }



    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }
}
